=== debian/changelog ===
i915-4.8-4.4-dkms (4.8.17-4somerville1) xenial; urgency=medium

  * Fix build fail issue. (LP: #1822079) 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Mon, 15 Apr 2019 20:38:06 +0800

i915-4.8-4.4-dkms (4.8.17) stable; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Mon, 15 Apr 2019 20:15:09 +0800
