=== debian/control ===
Source: i915-4.8-4.4-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms
Standards-Version: 3.8.1

Package: i915-4.8-4.4-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: i915-4.8-4.4 driver in DKMS format.
